[package]
name = "judas"
version = "0.1.0"
authors = ["Jean-Marie Mineau <histausse@protonmail.com>"]
edition = "2021"
description = "A OS for raspberry pi, for fun"
build = "build.rs"

[features]
default = []
target_rpi3 = []
target_rpi4 = []

[profile.release]
# LLVM link time optimizations, obtimize the code, longer linking time
lto = true 

[[bin]]
name = "kernel"
path = "src/main.rs"
